kafka:
  consumerID: fleet_notification
  topic: 
    gps: fleet-api-gps
    general: fleet-api-notification
    sns: fleet-api-sns
    mail: fleet-api-mail
  group: 
    gps: fms-notificaiton-group
    general: fms-notification-group
  brokers:
    - 192.168.2.239:9092
  minBytes: 1e3
  maxBytes: 2e6
  maxWait: 5000
  maxDealRoutineNum: 10
  setOffset:
    generalType: false
    generalValue:
    gpsType: false
    gpsValue:
  commitInterval:
    gps: 1000
    general: 0
  version: 2.6.3    

# log metrics information after every sampleInterval record consumed
metrics:
  sampleInterval:
    gps: 100
    general: 100

# aws:
#   config:
#     region: us-east-1
#     credentialsID: AKIAITM3NWTL6U5ZLS4Q
#     credentialsSecret: TIOcfryyo585Gl1kfLUmZE4RGsBqz6T3HTI+JGFS
#   topicArn: arn:aws:sns:us-east-1:955954582473:fleet_sns_forward

gin:
  maxTime: 12
  port: :8060

postGre:
  maxIdleConns: 5
  maxOpenConns: 15
  host: 192.168.2.239
  port: 5432
  user: postgres
  dbname: fms_notification
  password: password

redis:
  index: 9
  network: tcp
  address: 192.168.2.239:6379


# sendgrid:
#   apiKey: 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
#   senderName: no-reply
#   senderAddress: no-reply@waylens.com
#   midEndName: dev
#   midEndEmail: yu.shi@waylens.com
#  midEndEmail: midend@waylens.com

gps:
  biasTime: 5

fmsGpsServerAddress: http://192.168.2.239:9004
